Bug 111615 - [RFE] wireless 802.11g prism driver in future releases
[RFE] wireless 802.11g prism driver in future releases
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
http://prism54.org/
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-06 10:56 EST by shrek-m
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:48:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
smc2835w cardbus (7.70 KB, text/plain)
2003-12-06 11:13 EST, shrek-m
no flags Details
smc2802w pci (6.08 KB, text/plain)
2003-12-06 11:16 EST, shrek-m
no flags Details

  None (edit)
Description shrek-m 2003-12-06 10:56:50 EST
Description of problem:
could it be possible to include the prism driver for the 802.11g
wireless cards in future releases ?

thanks

http://prism54.org/
http://prism54.org/supported_cards.php

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2115.nptl

How reproducible:
Always

Steps to Reproduce:
1. plugin eg
smc 2802w pci
smc 2835w cardbus
    

Actual Results:  none is working

Expected Results:  the driver should be included

Additional info:

smc 2835w cardbus
02:00.0 Network controller: Harris Semiconductor D-Links DWL-g650 A1
(rev 01)

smc 2802w pci
00:0e.0 Network controller: Harris Semiconductor D-Links DWL-g650 A1
(rev 01)
Comment 1 Arjan van de Ven 2003-12-06 11:00:10 EST
these drivers currently aren't freely distributable yet....
(eg parts are under a very proprietary license and not the GPL)
Comment 2 shrek-m 2003-12-06 11:13:16 EST
Created attachment 96383 [details]
smc2835w cardbus
Comment 3 shrek-m 2003-12-06 11:16:05 EST
Created attachment 96384 [details]
smc2802w pci
Comment 4 shrek-m 2003-12-25 17:48:25 EST
could you at least povide the basic requirements for the prism54
support in the 2.6.x-kernel ?

thanks.

http://prism54.org/cgi-bin/cvsweb/prism54-ng/README?rev=HEAD

and if possible:
sysfs  on  /sys
/etc/hotplug/firmware.agent
/usr/lib/hotplug/firmware/
[ for http://prism54.org/firmware/ ]

http://prism54.org/~hvr/firmware.agent
http://cvs.sourceforge.net/viewcvs.py/linux-hotplug/admin/etc/hotplug/firmware.agent


works great:
# lsmod | grep prism
prism54                67608  0
firmware_class          8608  1 prism54

# ifconfig eth0 up
# ifconfig eth0 ip_adress
# iwconfig eth0 mode ad-hoc essid PRISM-SSID 
# iwconfig eth0
Warning: Driver for device eth0 has been compiled with version 16
of Wireless Extension, while this program is using version 15.
Some things may be broken...

eth0      SMC2802W  ESSID:"PRISM-SSID"
         Mode:Ad-Hoc  Channel:1  Cell: 92:C9:65:B9:B9:49
         Bit Rate:54Mb/s   Sensitivity=20/0
         Retry min limit:8   RTS thr:2347 B   Fragment thr:2346 B
         Encryption key:off
         Link Quality:158/0  Signal level:-50 dBm  Noise level:-203 dBm
         Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
         Tx excessive retries:0  Invalid misc:0   Missed beacon:0 
Comment 5 David Lawrence 2004-09-29 15:48:33 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.